org.springframework.core

## Class NestedExceptionUtils

- java.lang.Object
- - org.springframework.core.NestedExceptionUtils

    public abstract class NestedExceptionUtils
    extends Object

Helper class for implementing exception classes which are capable of holding nested exceptions. Necessary because we can't share a base class among different exception types.

Mainly for use within the framework.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `NestedRuntimeException`, `NestedCheckedException`, `NestedIOException`, `NestedServletException`

### Constructor Summary

Constructors
Constructor and Description
`NestedExceptionUtils()`

### Method Summary

Methods
`static String` `buildMessage(String message, Throwable cause)` Build a message for the given base message and root cause.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NestedExceptionUtils

    public NestedExceptionUtils()

### Method Detail

#### buildMessage

    public static String buildMessage(String message,
                      Throwable cause)

Build a message for the given base message and root cause.

Parameters:
  `message` - the base message
  `cause` - the root cause
Returns:
  the full exception message